<?php

use Adianti\Control\TPage;
use Adianti\Widget\Container\TVBox;
use Adianti\Widget\Base\TElement;

class PixView extends TPage
{
    public function __construct()
    {
        parent::__construct();

        try {
            // Gerar o PIX
            $pixData = \App\Services\PixService::gerarPix($cpf, $usuario, $valor, $tipo, $empresa);

            if ($pixData) {
                // Grava Registro de PIX

                // Criar imagem do QR Code
                $image = new TElement('img');
                $image->src = 'data:image/png;base64,' . $pixData['qrcode'];

                // Exibir o QR Code e o código do PIX
                $vbox = new TVBox;
                $vbox->add('<h1>QR CODE DINÂMICO DO PIX</h1>');
                $vbox->add($image);
                $vbox->add('<br>Código PIX:<br><strong>' . $pixData['pix'] . '</strong><br><strong>' . $pixData['txid'] . '</strong>');

                parent::add($vbox);

            } else {

                parent::add('<h1>Erro ao gerar PIX</h1>');

            }

        } catch (Exception $e) {
            parent::add('<h1>Erro: ' . $e->getMessage() . '</h1>');
        }
    }
}
